
From: Benjamin Herrenschmidt <benh@kernel.crashing.org>

Now that pci_get_legacy_ide_irq() support has been merged, it's time to
enable use of it by the Maple platform code.

Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/maple_setup.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN arch/ppc64/kernel/maple_setup.c~ppc64-enable-maple-ide-fixup arch/ppc64/kernel/maple_setup.c
--- 25/arch/ppc64/kernel/maple_setup.c~ppc64-enable-maple-ide-fixup	2004-10-28 19:13:09.864409360 -0700
+++ 25-akpm/arch/ppc64/kernel/maple_setup.c	2004-10-28 19:13:09.868408752 -0700
@@ -229,9 +229,7 @@ struct machdep_calls __initdata maple_md
 	.init_IRQ		= maple_init_IRQ,
 	.get_irq		= mpic_get_irq,
 	.pcibios_fixup		= maple_pcibios_fixup,
-#if 0
 	.pci_get_legacy_ide_irq	= maple_pci_get_legacy_ide_irq,
-#endif
 	.restart		= maple_restart,
 	.power_off		= maple_power_off,
 	.halt			= maple_halt,
_
